Name:           RackTables
Version:        0.20.10
Release:        6%{?dist}
Summary:        A data-center asset management system

Group:          Applications/Internet
# Valid license according to http://fedoraproject.org/wiki/Licensing
License:        GPLv2 and CC-BY-SA
URL:            http://racktables.org/
Source0:        http://sourceforge.net/projects/racktables/files/%{name}-%{version}.tar.gz
Source1:        README.Fedora
Source2:        quickinstall.sh
Patch1:         %{name}-Fedora-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       httpd php php-mysql php-pdo php-gd php-snmp php-mbstring php-bcmath /bin/sh
%if 0%{?rhel}
%{?el6:Requires: mysql-server}
%{?el7:Requires: mariadb-server}
%endif
%if 0%{?fedora}
%{?fc20:Requires: mysql-server}
%{?fc21:Requires: mariadb-server}
%endif
BuildArch:      noarch

%description
A data-center asset management system.

%clean
rm -rf $RPM_BUILD_ROOT

%prep
%setup -q
%patch -P 1 -p1

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
# Remove zero-length files
rm -f wwwroot/js/codepress/engines/older.js wwwroot/js/codepress/engines/khtml.js

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

make DESTDIR=$RPM_BUILD_ROOT prefix=/usr staticdir=%{_datadir}/%{name}/static install

install %{S:1} -p -m 0644 .
install %{S:2} -p -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/quickinstall.sh

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/secret.php

%files
%defattr(-,root,root,-)
%doc COPYING LICENSE ChangeLog README README.Fedora
%{_datadir}/%{name}/
%dir %{_sysconfdir}/%{name}
%ghost %config(noreplace) %{_sysconfdir}/%{name}/secret.php

%changelog
* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 4 2015 Colin Coe <colin.coe@gmail.com> - 0.20.10-5
- Correct date on changelog entries

* Wed Mar 4 2015 Colin Coe <colin.coe@gmail.com> - 0.20.10-4
- Really fix mysql dependencies to mariadb for RHEL7 and Fedora21

* Wed Mar 4 2015 Colin Coe <colin.coe@gmail.com> - 0.20.10-3
- Bump to re-push

* Mon Mar 2 2015 Colin Coe <colin.coe@gmail.com> - 0.20.10-2
- Fix mysql dependencies to mariadb for RHEL7 and Fedora21

* Thu Feb 5 2015 Colin Coe <colin.coe@gmail.com> - 0.20.10-1
- Rebase to v0.20.10

* Fri Jan 16 2015 Colin Coe <colin.coe@gmail.com> - 0.20.9-1
- Rebase to v0.20.9

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.20.4-2
- Perl 5.18 rebuild

* Sat May 25 2013 Colin Coe <colin.coe@gmail.com> - 0.20.4-1
- Rebase to v0.20.4

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 27 2012 Colin Coe <colin.coe@gmail.com> - 0.20.3-2
- Rebase to v0.20.3

* Sun Nov 18 2012 Colin Coe <colin.coe@gmail.com> - 0.19.14-1
- Rebase to v0.19.14

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Colin Coe <colin.coe@gmail.com> - 0.19.12-1
- Rebase to v0.19.12

* Wed Apr 4 2012 Colin Coe <colin.coe@gmail.com> - 0.19.11-1
- Rebase to v0.19.11

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 1 2011 Colin Coe <colin.coe@gmail.com> - 0.19.9-1
- Rebase to v0.19.8

* Mon Aug 29 2011 Colin Coe <colin.coe@gmail.com> - 0.19.8-2
- Include missing patch file

* Mon Aug 29 2011 Colin Coe <colin.coe@gmail.com> - 0.19.8-1
- Rebase to v0.19.8

* Fri Jul 22 2011 Colin Coe <colin.coe@gmail.com> - 0.19.6-2
- Stop blatting secret.php if it exists

* Wed Jul 20 2011 Colin Coe <colin.coe@gmail.com> - 0.19.6-1
- Rebase to v0.19.6

* Sun May 8 2011 Colin Coe <colin.coe@gmail.com> - 0.19.4-2
- s/datacenter/data-center/g to silence rpmlint spelling check errors

* Sat May 7 2011 <infrastation@yandex.ru> - 0.19.4-1
- Rebase to v0.19.4
- Deprecate /etc/httpd/conf.d/RackTables.conf
- Include /usr/share/doc/RackTables-0.19.4/README.Fedora
- Stop using makeinstall macro

* Wed Aug 25 2010 <colin.coe@gmail.com> - 0.18.4-1
- Make syncdomain use /usr/bin/php
- Rebase to v0.18.4

* Mon Jul 5 2010 <colin.coe@gmail.com> - 0.18.3-1
- Rebase to v0.18.3

* Mon Feb 22 2010 <colin.coe@gmail.com> - 0.17.10-1
- Rebase to v0.17.10

* Mon Feb 22 2010 <colin.coe@gmail.com> - 0.17.9-1
- Rebase to v0.17.9

* Thu Jan 21 2010 <colin.coe@gmail.com> - 0.17.8-1
- Rebase to v0.17.8

* Sun Nov 15 2009 <colin.coe@gmail.com> - 0.17.7-2
- Address broken dependancies for PPC and PPC64

* Sat Nov 14 2009 <colin.coe@gmail.com> - 0.17.7-1
- Rebase to v0.17.7

* Sat Sep 26 2009 <colin.coe@gmail.com> - 0.17.5-1
- Rebase to v0.17.5

* Sun Sep 13 2009 <colin.coe@gmail.com> - 0.17.4-7
- Simplify setup
- Step making docdir/name
- Simplify copy
- Make contrib/quickinstall.sh quit unless it's run by root

* Fri Sep 11 2009 <colin.coe@gmail.com> - 0.17.4-6
- Own /etc/RackTables/
- Fix duplicate files
- Set ownership/mode of /etc/RackTables/secret.php correctly
- Fix contrib/quickinstall.sh to write a valid /etc/RackTables/secret.php

* Thu Sep 10 2009 <colin.coe@gmail.com> - 0.17.4-5
- Fix dangeling symlink

* Thu Sep 10 2009 <colin.coe@gmail.com> - 0.17.4-4
- Removed redundant 'RackTables' from the summary and description
- Changed license as suggested
- Put secret.php into /etc/RackTables and created symlink back to {_datadir}/{name}/inc
- Removed 'mkdir -p $RPM_BUILD_ROOT{_docdir}'
- Stopped listing inc/secret.php twice

* Mon Sep 7 2009 <colin.coe@gmail.com> - 0.17.4-3
- Add 'contrib/quickinstall.sh' to add people installing RackTables
- Add php-ldap as a dependency

* Tue Sep 1 2009 <colin.coe@gmail.com> - 0.17.4-2
- Split out Apache config file
- Added mysql-server as a dependency

* Mon Aug 17 2009 Colin Coe <colin.coe@gmail.com> - 0.17.4-1
- Initial packaging

